> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update advanced security settings

> Developer API operation for PATCH /dev/v1/security/security-settings.



## OpenAPI

````yaml /openapi.json patch /dev/v1/security/security-settings
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/security/security-settings:
    patch:
      tags:
        - Security
      summary: Update advanced security settings
      description: Developer API operation for PATCH /dev/v1/security/security-settings.
      operationId: patchDevV1SecuritySecurity-settings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                lockdown:
                  type: string
                lockdown_type:
                  type: string
                lockdown_value:
                  type: string
                malicious_log_in_detection:
                  type: string
                require_managers_2fa:
                  type: string
              example:
                lockdown: 'false'
                lockdown_type: ''
                lockdown_value: ''
                malicious_log_in_detection: 'true'
                require_managers_2fa: 'true'
          multipart/form-data:
            schema:
              type: object
              properties:
                lockdown:
                  type: string
                lockdown_type:
                  type: string
                lockdown_value:
                  type: string
                malicious_log_in_detection:
                  type: string
                require_managers_2fa:
                  type: string
              example:
                lockdown: 'false'
                lockdown_type: ''
                lockdown_value: ''
                malicious_log_in_detection: 'true'
                require_managers_2fa: 'true'
          text/plain:
            schema:
              type: object
              properties:
                lockdown:
                  type: string
                lockdown_type:
                  type: string
                lockdown_value:
                  type: string
                malicious_log_in_detection:
                  type: string
                require_managers_2fa:
                  type: string
              example:
                lockdown: 'false'
                lockdown_type: ''
                lockdown_value: ''
                malicious_log_in_detection: 'true'
                require_managers_2fa: 'true'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    message: Fraud Shield settings updated.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````